---
title: TouchList.item()
slug: Web/API/TouchList/item
tags:
  - API
  - DOM
  - DOM Reference
  - Method
  - Mobile
  - Reference
  - TouchList
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<p>The <code><strong>item()</strong></code> method returns the {{ domxref("Touch") }} object at the specified index in the {{ domxref("TouchList") }}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>touchPoint</em> = <em>touchList</em>.item(<em>index</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>index</code></dt>
 <dd>The index of the {{ domxref("Touch") }} object to retrieve. The index is a number in the range of 0 to one less than the length of the {{ domxref("TouchList") }}.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>touchPoint</code></dt>
 <dd>The requested {{ domxref("Touch") }} object from the {{ domxref("TouchList") }}. Returns <code>null</code> if the index is not less than the length of the list.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This code example illustrates the use of the {{domxref("TouchList")}} interface's {{domxref("TouchList.item()","item")}} method and the {{domxref("TouchList.length","length")}} property.</p>

<pre class="brush: js">target = document.getElementById("target");

target.addEventListener('touchstart', function(ev) {

  // If this touchstart event started on element target,
  // set touch to the first item in the targetTouches list;
  // otherwise set touch to the first item in the touches list
  var touch;

  if (ev.targetTouches.length &gt;= 1)
     touch = ev.targetTouches.item(0);
  else
     touch = ev.touches.item(0);
}, false);

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touchlist-item')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events','#widl-TouchList-item-getter-Touch-unsigned-long-index')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchList.item")}}</p>
